1 Reply Latest reply: Nov 30, 2012 12:39 PM by Hitomi Kudo RSS

    Adobe Flash Player is out of date (GOOGLE CHROME) it isn't...




      I am not very computer savvy so bare with me, but if anyone can help me I would be very grateful.



      I am using Google Chrome web browser (I have IE and FF but for some reason they are sooo slow). Everytime I visit a page that uses Flash (every page in the world almost) I get this ERROR message...



      (jigsaw puzzle logo) Adobe Flash Player was blocked because it is out of date.                                 Two boxes... 'Run this time' + Update plug-in




      I clicked update and it took me to the Adobe Flash page. It says it requires a MAC OS 10.6 or higher


      My MAC is an OS 10.5.8


      SO... I found the version for this OS and downloaded/installed.


      Restarted my computer, launched Chrome and what d'ya know, I got the same message!!!


      I don't know what I need to do now. I tried lower versions, still not working and I can't upgrade to Lion as this is a 10.5 (great!)


      My processor is a 2 GHz Intel Core 2 Duo

      Mem 2GB 667 MHz DDR2 SDRAM 


      Just incase that helps.


      If anyone knows how to fix this or what I need to buy to make it work I would very much appreciate the advice!




      Thank you





      OH I also just found on the Chrome:Plugins page that beside the FLASH note it says:


      Flash - Version: Download Critical Security Update

      Shockwave Flash 10.3 r183



      When I click on download critical... it downloads and still doesn't work.